## com.bbn.openmap.util.propertyEditor
Class DirectoryPropertyEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.bbn.openmap.util.propertyEditor.FilePropertyEditor
                  |
                  +--com.bbn.openmap.util.propertyEditor.DirectoryPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor

public class DirectoryPropertyEditor
extends FilePropertyEditor

A PropertyEditor that brings up a JFileChooser panel to select a directory. A single directpry choice can be made, and only choices that reside on the local file system.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button`

Constructor Summary
`DirectoryPropertyEditor()` Create DirectoryPropertyEditor.

Method Summary
`javax.swing.JFileChooser` `getFileChooser()` Returns a JFileChooser that will choose a directory.

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`actionPerformed, cleanUpName, getAsText, getCustomEditor, getLastLocation, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryPropertyEditor

    public DirectoryPropertyEditor()

  Create DirectoryPropertyEditor.

Method Detail

### getFileChooser

    public javax.swing.JFileChooser getFileChooser()

  Returns a JFileChooser that will choose a directory.

  Overrides:
    `getFileChooser` in class `FilePropertyEditor`
  Returns:
    JFileChooser

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details